local Object = require "core.Object"

local Drawable = Object:extend()

Drawable.PRIORITY_BACKGROUND = 0
Drawable.PRIORITY_FIGHTER = 1000
Drawable.PRIORITY_ANIMATION = 2000
Drawable.PRIORITY_DAMAGE = 3000

function Drawable:__lt(d)
	return self:getZ() < d:getZ()
end

function Drawable:getZ()
	return 0
end

function Drawable:draw()
end

return Drawable