local Object = require "core.Object"

local TextManager = Object:extend()

-- Generic

TextManager.HP = "Hp"
TextManager.MP = "Mp"

-- Title

TextManager.TITLE_NEW_GAME = "Start!"
TextManager.TITLE_LOAD_GAME = "Load"
TextManager.TITLE_EXIT = "Exit"

-- Battle

TextManager.BATTLE_ACTOR_PREEMPTIVE = "Preemptive attack!"
TextManager.BATTLE_ENEMY_PREEMPTIVE = "Enemy: preemptive attack!"
TextManager.BATTLE_ESCAPE_FAILURE = "Escape failed!"
TextManager.BATTLE_ESCAPE_SUCCESS = "Escape successful!"
TextManager.BATTLE_ACTOR_DEFEATED = "Annihilated..."
TextManager.BATTLE_VICTORY = "Victory!"
TextManager.BATTLE_EXP_OBTAINED = "%d Exp obtained!"
TextManager.BATTLE_AP_OBTAINED = "%d Ap obtained!"
TextManager.BATTLE_LEVEL_GAINED = "%s level up!";
TextManager.BATTLE_SKILL_LEARNED = "%s learned: %s!";
TextManager.BATTLE_ITEM_OBTAINED = "Obtained: %s #%d!";
TextManager.BATTLE_FIGHT = "Fight"
TextManager.BATTLE_ESCAPE = "Escape"
TextManager.BATTLE_ATTACK = "Attack"
TextManager.BATTLE_DEFEND = "Defend"
TextManager.BATTLE_MAGIC = "Magic"
TextManager.BATTLE_TECHNIQUE = "Tech."
TextManager.BATTLE_SUMMON = "Summon"
TextManager.BATTLE_ITEM = "Items"
TextManager.BATTLE_ERROR_SKILL_MP = "Not enough MP!"
TextManager.BATTLE_ERROR_SKILL_LOCKED = "Skill restricted!"
TextManager.BATTLE_ERROR_ITEM_AMOUNT = "Not enough items!"

return TextManager