local Object = require "core.Object"

local State = Object:extend()

function State:isBusy()
	return gameTransition:isBusy()
end

function State:start()
	gameTransition:fadeIn(8)
end

function State:stop()
	gameTransition:fadeOut(8)
end

function State:update()
	gameTransition:update()
end

function State:draw()
	gameTransition:draw()
end

return State