local ActionWindow = require "window.ActionWindow"

local InlineActionWindow = ActionWindow:extend()

function InlineActionWindow:getCols()
	return self:getSize()
end

function InlineActionWindow:drawItem(index, x, y, w, h)
	self:drawText(self.actions[index].name, x, y, w, h, (self:isItemEnabled(index) and InlineActionWindow.COLOR_FG) or InlineActionWindow.COLOR_FG_DISABLED, InlineActionWindow.ALIGN_CENTER)
end

return InlineActionWindow